
# ssh ~~ /etc/ssh/sshd_config
# managed by Ansible

# security
PermitRootLogin yes
MaxAuthTries 6
MaxSessions 10

# auth
AuthorizedKeysFile .ssh/authorized_keys
PasswordAuthentication no
PermitEmptyPasswords no
ClientAliveInterval 180


{% if ansible_facts["os_family"] == "OpenBSD" or ansible_facts["os_family"] == "Alpine" %}
Subsystem sftp /usr/libexec/sftp-server
{% elif ansible_facts["os_family"] == "Debian" %}
ChallengeResponseAuthentication no
UsePAM yes
PrintMotd no
UsePrivilegeSeparation sandbox
Subsystem sftp /usr/lib/ssh/sftp-server
{% endif %}
